
{*****************************************************************************}
{                                                                             }
{    Tnt LX Controls                                                          }
{      http://www.tntware.com/delphicontrols/lx/                              }
{        Version: 1.2.3                                                       }
{                                                                             }
{    Copyright (c) 2003-2006, Troy Wolbrink (troy.wolbrink@tntware.com)       }
{                                                                             }
{*****************************************************************************}

unit TntLXControls_Register;

{$INCLUDE ..\TntCompilers.inc}

interface

procedure Register;

implementation

uses
  Classes, DesignIntf, TntLXLookupCtrls, TntLXVarArrayDataSet, TntLXStringGrids,
  TntLXCombos, TntLXDBGrids, TntLXRichEdits, TntLXAdoDataSet, TntLXListView,
  TntLXHotLabel, TntLXCsvUtils, TntLXWinInetRequestor, TntLXFetchUrl, TntLXPasswordEdit,
  TntLXCheckLst;

procedure Register;
begin
  {$IFDEF COMPILER_9_UP}
//  ForceDemandLoadState(dlDisable);
  {$ENDIF}

  RegisterComponents('TntLX', [TTntDBLookupListBoxLX, TTntDBLookupComboBoxLX]);
  RegisterComponents('TntLX', [TTntVarArrayDataSet]);
  RegisterComponents('TntLX', [TTntStringGridLX,
                                 TTntStringGridLXEdit,
                                 TTntStringGridLXComboBox,
                                 TTntStringGridLXDatePicker]);
  RegisterComponents('TntLX', [TTntComboBoxLX, TTntDBComboBoxLX, TTntComboBoxLX_Action]);
  Registercomponents('TntLX', [TTntDbGridLX]);
  RegisterComponents('TntLX', [TTntRichEditLX, TTntDBRichEditLX]);
  RegisterComponents('TntLX', [TTntADODataSetLX]);
  RegisterComponents('TntLX', [TTntADOTableLX]);
  RegisterComponents('TntLX', [TTntADOQueryLX]);
  RegisterComponents('TntLX', [TTntListViewLX]);

  RegisterComponents('TntLX', [TTntHotLabel]);
  RegisterComponents('TntLX', [TTntCSVTable]);
  RegisterComponents('TntLX', [TTntMultiPostRequestor]);
  RegisterComponents('TntLX', [TTntFetchUrl]);

  RegisterComponents('TntLX', [TTntPasswordEdit]);

  RegisterComponents('TntLX', [TTntCheckListBoxLX]);
end;

end.
